Description

It would be cool if BEEM could support XEP-0301 real-time text ( hitp://www.xmpp.org/extensions/xep-0301.html ).
It's useful for deaf (who can't use the phone) & also fun for the occasional use when you're in a very conversational mood during
texting on GTalk. | am deaf, so that's why | benefit from this...

Animation of what real time text look like:
http://www.realjabber.org/real_time_text_demo.html

My own XEP-0301 open source Java source code can be taken from here:
http://code.google.com/p/realjabber/source/browse/trunk/Java/src/?r=20

(Java & smack, so already ready to build into BEEM!)

Ignore ChatClient.java -- that's just a crude test program for desktop Java (but you can use it to learn how to use the smack
extension module). Take the code, add a tiny bit of Ul glue, and commit to BEEM!

Become the world's first Android messaging program with real-time text? ;-)

Alternatively, grant me commit priveleges, so | can add this myself to BEEM as unobtrusively as possible (off by default, but with the
ability to initiate real-time text via a menu or button).

Cheers,
Mark Rejhon -- realjabber.org

History

#1 - 04/24/2012 05:59 PM - Frédéric Barthéléry
It is a cool extension and you have already made an implementation for smack.

We generally don't implement XEP which are not draft standard unless one of the developers really want to work on it.
| think there is not a lot of work needed to implement it in BEEM so | encourage you to do it !

As we use mercurial, you can make the modifications in your own repository of BEEM and make a pull request when it is done or submit patches. See
Submissions

#2 - 04/24/2012 09:28 PM - Mark Rejhon

Excellent, | volunteer to add this. | will make modifications simple:

1. Add my modules (and update the message-screen Ul to show the real-time text near where it normally says "Typing" or "Writing").
2. Add a new option to the configuration for enabling/disabling/confirming real-time text. (Incoming attempts of real-time text can be
Accepted/Rejected) | expect hearing people prefers the 'confirm' setting, and deaf people prefer the always-enabled setting.

Since this is a 100% spare-time project, | can only do 10 hours a week towards this project, but I'll begin in the next few days.

#3 - 06/22/2012 12:45 PM - Frédéric Barthéléry

- Status changed from New to Assigned

#4 - 07/07/2012 08:45 PM - Mark Rejhon

Just a status update. The summer has been busy, so it's been less than 10h/week for this endeavour.
| have made an improved, newer Java module:
http://code.google.com/p/realjabber/source/browse/trunk/Java/src/RealTimeText.java

(Release 24)

| have set up the Android environment on one of my laptops and made sure | am able to compile BEEM.
| haven't yet started integrating, but I'm hoping to do during the course of this month.

Also, there is another demo animation of what real-time text looks like, if Facebook ever decided to add it too:
#5 - 07/10/2012 03:36 PM - Nikita Kozlov
Hello Mark,
Great work, your code look great, | hope that you will find some time to integrate it in beem.

May | suggest you to create somewhere a public fork of beem, even if it's a temporary one, so we may help you or review your code before pushing it
in the trunk ?
